[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

loader compilation error



Hi,
        I am trying to recompile the loader under fedora core 2 with
anaconda-10.0..3.9 sources, diet-0.27.
I get the following error. Would you please help me in understanding what I
need to change in order to
compile the loader?

~
~
~
diet
gcc -ggdb -Os -Wall -DUSE_LOGDEV -DVERSION='"10.0.3.9"' -Werror -ffunction-s
ections -D_GNU_SOURCE=1
-D_FILE_OFFSET_BITS=64 -DHAVE_LIBIO_H  -DGZLIB=1 -DDIET=1   -c -o
cdinstall.o cdinstall.c

In file included from /usr/include/linux/cdrom.h:16,

                 from cdinstall.c:30:

/usr/src/redhat/SOURCES/dietlibc/dietlibc-0.27/include/byteswap.h:4:2:
#warning "byteswap.h is an unportable GNU extension!  Don't use!"

make: *** [cdinstall.o] Error 1




Any help will be greatly appreciated.

Thanks,
Sameer Kamat


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]